org.apache.ignite.internal.interop

## Interface InteropAwareEventFilter<E extends Event>

All Superinterfaces:
  IgnitePredicate<E>, Serializable

    public interface InteropAwareEventFilter<E extends Event>
    extends IgnitePredicate<E>

Special version of predicate for events with initialize/close callbacks.

### Method Summary

Methods
`void` `close()` Closes the filter.
`void` `initialize(GridKernalContext ctx)` Initializes the filter.

### Methods inherited from interface org.apache.ignite.lang.IgnitePredicate

`apply`

### Method Detail

#### initialize

    void initialize(GridKernalContext ctx)

Initializes the filter.

#### close

    void close()

Closes the filter.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015